#
# spec file for package pcl-cvs (Version 2.9.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  elib emacs emacs-x11 xaw3d xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs elib emacs emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xshared

Name:         pcl-cvs
Summary:      An Emacs Front-end to CVS
Version:      2.9.9
Release:      127
Group:        Applications/Editors/Emacs
Requires:     emacs elib
Copyright:    GPL
Source:       ftp://rum.cs.yale.edu/pub/monnier/pcl-cvs/%{name}-%{version}.tar.bz2
Source1:      suse-start.el
%define emacs_sitelisp_dir %{_datadir}/emacs/site-lisp
%define emacs_package_dir %{emacs_sitelisp_dir}/%{name}
BuildRoot:    %{_tmppath}/%{name}-root
BuildArch:    noarch

%description
PCL-CVS is a front-end to CVS.  It integrates the most
frequently used CVS commands into emacs.
For VC users, PCL-CVS can be thought of as a VC-dired specially designed
for CVS.  PCL-CVS is not a replacement for VC and is supposed to interact well
with it.  It provides a global view of your project and allows execution
of cvs commands on several files at a time.

Authors:
--------
    Stefan Monnier <monnier+lists/cvs/pcl@flint.cs.yale.edu>
    The PCL-CVS Trust <pcl-cvs@cyclic.com>
    Per Cederqvist <ceder@lysator.liu.se>
    Greg A. Woods <woods@weird.com>
    Jim Blandy <jimb@cyclic.com>
    Karl Fogel <kfogel@floss.red-bean.com>
    Jim Kingdon <kingdon@cyclic.com>
    Stefan Monnier <monnier@cs.yale.edu>
    Greg Klanderman <greg@alphatech.com>
    Jari Aalto+mail.emacs <jari.aalto@poboxes.com>

SuSE series: d

%prep
%setup 
cp -p $RPM_SOURCE_DIR/suse-start.el .

%build
%define emacs_sitelisp_dir /usr/share/emacs/site-lisp
%define emacs_package_dir /usr/share/emacs/site-lisp/%{name}
%define emacs_infodir %{_infodir}
make lispdir=%{emacs_sitelisp_dir} infodir=%{emacs_infodir}

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot};
fi
#mkdir -p $RPM_BUILD_ROOT/
make install lispdir=$RPM_BUILD_ROOT%{emacs_sitelisp_dir} infodir=$RPM_BUILD_ROOT%{emacs_infodir}
make install_el lispdir=$RPM_BUILD_ROOT%{emacs_sitelisp_dir} infodir=$RPM_BUILD_ROOT%{emacs_infodir}
{
  echo ";; %{emacs_sitelisp_dir}/suse-start-%{name}.el"
  echo ""
  echo "(add-to-list 'load-path \"%{emacs_package_dir}\")"
  echo ""
  echo "(load \"pcl-cvs-startup\")"
  echo ""
  echo ";; %{emacs_sitelisp_dir}/suse-start-%{name}.el ends here"
} > %{buildroot}%{emacs_sitelisp_dir}/suse-start-%{name}.el

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog FAQ INSTALL NEWS README TODO
%{emacs_package_dir}
%config %{emacs_sitelisp_dir}/suse-start-%{name}.el
%{_infodir}

%changelog -n pcl-cvs
* Wed Mar 28 2001 - mfabian@suse.de
- new package: pcl-cvs, version 2.9.9
